Bug 97310

Summary: [maintainer-update] update biology/fasta3
Product: Ports & Packages Reporter: Fernan Aguero <fernan>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: sem
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
fasta3.diff
none
fasta3.2.diff none

Description Fernan Aguero 2006-05-15 18:10:15 UTC
	

	fasta3 has just been updated by the author.

	Quoting Bill Pearson (the author): 

	o This version corrects a but in the display of alignment
	coordinates in some cases (only for fasta34(_t) and ssearch34(_t).
	
	o It also provides new functions for reading the ASN.1 binary
	blastpgp checkpoint files:
	blastpgp -J T -C checkpoint_file -u 2 ...

	o This code was designed to allow users of the NCBI BLAST WWW
	site to independently evaluate statistical estimates by
	downloading the encoded PSSM data.  Unfortunately, last week,
	just as I finished the code, NCBI changed their ASN.1 binary
	structure with the introduction of blast2.2.14.  Unfortunately,
	blast2.2.14 is only available over the web, not from their FTP
	site.  When the new version of the program (and perhaps an
	updated toolkit) is available, I hope to support their new
	format.


	Notes from the port maintainer -- that's me :)
	
	o fasta34t25d7 now includes the 'Makefile.freebsd' that was part
	of the FreeBSD port, so I removed it from files/ and
	removed the post-extract target accordingly.

	As a future reference -- just in case future maintainers are
	fond of reading old PRs	:) -- please notify the author (Bill
	Pearson) of changes in the Makefile.freebsd file, so that the
	changes are included in the next fasta3 release.

	o note to self: the next fasta3 version should be done in sync
	with the ncbi-toolkit once the NCBI releases a toolkit that
	includes blast2.2.14 

	o CCed sem, who committed the last fasta3 update a week ago :)
Comment 1 Sergey Matveychuk freebsd_committer 2006-05-16 07:59:00 UTC
fetch: ftp://ftp.virginia.edu/pub/fasta/fasta34t25d7.shar.Z: size
mismatch: expected 812709, actual 811798

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2006-05-16 07:59:33 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Fernan Aguero 2006-05-16 14:25:39 UTC
+----[ Sergey Matveychuk <sem@FreeBSD.org> (16.May.2006 04:04):
|
| fetch: ftp://ftp.virginia.edu/pub/fasta/fasta34t25d7.shar.Z: size
| mismatch: expected 812709, actual 811798
| 
| -- 
| Sem.
|
+----]

Seems like they re-rolled the distfile yesterday ...
attached is a new diff.

Fernan
Comment 4 Sergey Matveychuk freebsd_committer 2006-05-24 17:56:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!